Pipeline Assistant
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Request to create a new assistant session.
goalstringRequired
What the user wants to accomplish
autonomy_levelany ofOptionalDefault:
Deprecated. Kept for backward compatibility.
semi_autostring · enumOptionalPossible values:
nullOptional
model_nameany ofOptional
Model to use (e.g., 'anthropic/claude-sonnet-4'). Defaults to configured model.
stringOptional
nullOptional
Responses
201
Successful Response
application/json
422
Validation Error
application/json
post
/pipeline-assistant/sessionsAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
session_idstringRequired
Body
Request to send a message to an assistant session.
contentstringRequired
The user's message
Responses
200
Successful Response
application/json
Response from sending a message.
current_configany ofOptional
Updated pipeline configuration (if changed)
or
nullOptional
422
Validation Error
application/json
post
/pipeline-assistant/sessions/{session_id}/messagesAuthorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
session_idstringRequired
Responses
200
Successful Response
application/json
Response containing session state.
session_idstringRequired
Unique session identifier
goalstringRequired
The user's stated goal
autonomy_levelstring · enumRequiredPossible values:
Current autonomy level
current_configany ofOptional
The current pipeline configuration (if generated)
or
nullOptional
dataset_idsstring[]Optional
Dataset IDs generated during this session
created_atstring · date-timeRequired
When the session was created
422
Validation Error
application/json
get
/pipeline-assistant/sessions/{session_id}Last updated
